# PATCH /inventory/batches/:batch_id

**Resource:** [INVENTORY](./inventory.md)  
**MCP tool:** `update_inventory_batch`  
**Scopes:** `products:write`  
**Write operation:** yes

Update an inventory batch. The product it belongs to cannot be changed.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `batch_id` | path | string | yes |  |
| `batch_number` | body | string | no |  |
| `expiry_date` | body | string | no |  |
| `supplier_name` | body | string | no |  |
| `notes` | body | string | no |  |

## Request example

```bash
curl -X PATCH   "https://api.trustpager.com/functions/v1/api/v1/inventory/batches/:batch_id"   -H "Authorization: Bearer YOUR_API_KEY"   -H "Content-Type: application/json"   -d '{"batch_number":"...","expiry_date":"...","supplier_name":"..."}'
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`